package com.banesco.common.domain.model;

/**
 * Clase interna que representa la configuración de tiempos de espera
 * (timeout) para conexiones a APIs. Define los tiempos máximos de espera
 * para establecer la conexión y para recibir una respuesta, especificados
 * en milisegundos.
 */
public class ApiTimeout{
    private int connect;
    private int response;

    public ApiTimeout() {

    }
    public ApiTimeout(int connect, int response) {
        this.connect = connect;
        this.response = response;
    }

    public int getConnect() {
        return connect;
    }

    public void setConnect(int connect) {
        this.connect = connect;
    }

    public int getResponse() {
        return response;
    }

    public void setResponse(int response) {
        this.response = response;
    }
    
}
